!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = inch  &
   angle = deg  &
   force = pound_force  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!--------------------------- Model Specific Colors ----------------------------!
!
!
if condition = (! db_exists(".colors.IDEAS_1"))
!
color create  &
   color_name = .colors.IDEAS_1  &
   red_component = 0.0  &
   blue_component = 1.0  &
   green_component = 0.0
!
else 
!
color modify  &
   color_name = .colors.IDEAS_1  &
   red_component = 0.0  &
   blue_component = 1.0  &
   green_component = 0.0
!
end 
!
if condition = (! db_exists(".colors.IDEAS_2"))
!
color create  &
   color_name = .colors.IDEAS_2  &
   red_component = 0.0  &
   blue_component = 1.0  &
   green_component = 0.33
!
else 
!
color modify  &
   color_name = .colors.IDEAS_2  &
   red_component = 0.0  &
   blue_component = 1.0  &
   green_component = 0.33
!
end 
!
if condition = (! db_exists(".colors.IDEAS_3"))
!
color create  &
   color_name = .colors.IDEAS_3  &
   red_component = 0.0  &
   blue_component = 1.0  &
   green_component = 0.66
!
else 
!
color modify  &
   color_name = .colors.IDEAS_3  &
   red_component = 0.0  &
   blue_component = 1.0  &
   green_component = 0.66
!
end 
!
if condition = (! db_exists(".colors.IDEAS_6"))
!
color create  &
   color_name = .colors.IDEAS_6  &
   red_component = 0.0  &
   blue_component = 0.0  &
   green_component = 0.66
!
else 
!
color modify  &
   color_name = .colors.IDEAS_6  &
   red_component = 0.0  &
   blue_component = 0.0  &
   green_component = 0.66
!
end 
!
if condition = (! db_exists(".colors.IDEAS_7"))
!
color create  &
   color_name = .colors.IDEAS_7  &
   red_component = 0.0  &
   blue_component = 0.0  &
   green_component = 1.0
!
else 
!
color modify  &
   color_name = .colors.IDEAS_7  &
   red_component = 0.0  &
   blue_component = 0.0  &
   green_component = 1.0
!
end 
!
if condition = (! db_exists(".colors.IDEAS_8"))
!
color create  &
   color_name = .colors.IDEAS_8  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 1.0
!
else 
!
color modify  &
   color_name = .colors.IDEAS_8  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 1.0
!
end 
!
if condition = (! db_exists(".colors.IDEAS_9"))
!
color create  &
   color_name = .colors.IDEAS_9  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 0.66
!
else 
!
color modify  &
   color_name = .colors.IDEAS_9  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 0.66
!
end 
!
if condition = (! db_exists(".colors.IDEAS_10"))
!
color create  &
   color_name = .colors.IDEAS_10  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 0.33
!
else 
!
color modify  &
   color_name = .colors.IDEAS_10  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 0.33
!
end 
!
if condition = (! db_exists(".colors.IDEAS_11"))
!
color create  &
   color_name = .colors.IDEAS_11  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 0.0
!
else 
!
color modify  &
   color_name = .colors.IDEAS_11  &
   red_component = 1.0  &
   blue_component = 0.0  &
   green_component = 0.0
!
end 
!
if condition = (! db_exists(".colors.IDEAS_15"))
!
color create  &
   color_name = .colors.IDEAS_15  &
   red_component = 1.0  &
   blue_component = 1.0  &
   green_component = 1.0
!
else 
!
color modify  &
   color_name = .colors.IDEAS_15  &
   red_component = 1.0  &
   blue_component = 1.0  &
   green_component = 1.0
!
end 
!
if condition = (! db_exists(".colors.IDEAS_17"))
!
color create  &
   color_name = .colors.IDEAS_17  &
   red_component = 0.45  &
   blue_component = 0.47  &
   green_component = 0.46
!
else 
!
color modify  &
   color_name = .colors.IDEAS_17  &
   red_component = 0.45  &
   blue_component = 0.47  &
   green_component = 0.46
!
end 
!
if condition = (! db_exists(".colors.IDEAS_18"))
!
color create  &
   color_name = .colors.IDEAS_18  &
   red_component = 0.74  &
   blue_component = 0.74  &
   green_component = 0.74
!
else 
!
color modify  &
   color_name = .colors.IDEAS_18  &
   red_component = 0.74  &
   blue_component = 0.74  &
   green_component = 0.74
!
end 
!
if condition = (! db_exists(".colors.IDEAS_20"))
!
color create  &
   color_name = .colors.IDEAS_20  &
   red_component = 0.15  &
   blue_component = 0.24  &
   green_component = 0.18
!
else 
!
color modify  &
   color_name = .colors.IDEAS_20  &
   red_component = 0.15  &
   blue_component = 0.24  &
   green_component = 0.18
!
end 
!
if condition = (! db_exists(".colors.IDEAS_21"))
!
color create  &
   color_name = .colors.IDEAS_21  &
   red_component = 0.45  &
   blue_component = 0.0  &
   green_component = 0.0
!
else 
!
color modify  &
   color_name = .colors.IDEAS_21  &
   red_component = 0.45  &
   blue_component = 0.0  &
   green_component = 0.0
!
end 
!
if condition = (! db_exists(".colors.IDEAS_22"))
!
color create  &
   color_name = .colors.IDEAS_22  &
   red_component = 0.39  &
   blue_component = 0.58  &
   green_component = 0.5
!
else 
!
color modify  &
   color_name = .colors.IDEAS_22  &
   red_component = 0.39  &
   blue_component = 0.58  &
   green_component = 0.5
!
end 
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 1.0  &
   spacing_for_grid = 39.3700787402
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = table  &
   title = "ADAMS/View model name: table"
!
view erase
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!------------------------------------ grnd ------------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground  &
   new_part_name = grnd
!
part modify rigid_body name_and_position  &
   part_name = grnd  &
   adams_id = 15  &
   comments = "Rigid body 15-RB15_I-DEAS_ground_9 created for marker 33"
!
defaults model  &
   part_name = grnd
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.grnd.MK33  &
   adams_id = 33  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.grnd.MK33  &
   visibility = off
!
marker create  &
   marker_name = .table.grnd.Origin  &
   adams_id = 11015  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.grnd.Origin  &
   visibility = off
!
marker create  &
   marker_name = .table.grnd.MARKER_11027  &
   adams_id = 11027  &
   location = 0.0, 0.0, -3.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.grnd.MARKER_11027  &
   visibility = off
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.grnd.Hi27_shell  &
   reference_marker = .table.grnd.Origin  &
   file_name = "vibration_155_Hi27.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.grnd.Hi27_shell  &
   color = IDEAS_10
!
!----------------------------------- ZAKLAD -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.ZAKLAD  &
   adams_id = 1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.ZAKLAD
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.ZAKLAD.MK2  &
   adams_id = 2  &
   location = -19.15716991, -11.15716991, 1.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.MK2  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAKLAD.MK6  &
   adams_id = 6  &
   location = -19.15716991, 11.15716991, 1.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.MK6  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAKLAD.MK10  &
   adams_id = 10  &
   location = 19.15716991, 11.15716991, 1.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.MK10  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAKLAD.MK14  &
   adams_id = 14  &
   location = 19.15716991, -11.15716991, 1.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.MK14  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAKLAD.MK34  &
   adams_id = 34  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.MK34  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 5.0
!
marker create  &
   marker_name = .table.ZAKLAD.CM  &
   adams_id = 10001  &
   location = 6.666266176E-004, 0.0, 0.75  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAKLAD.Origin  &
   adams_id = 11001  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.Origin  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAKLAD.MARKER_11028  &
   adams_id = 11028  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAKLAD.MARKER_11028  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.ZAKLAD  &
   mass = 377.4235725  &
   center_of_mass_marker = .table.ZAKLAD.CM  &
   ixx = 5.905143296E+004  &
   iyy = 5.904928789E+004  &
   izz = 1.17959187E+005  &
   ixy = 2.364468656E-011  &
   izx = 3.26200277E-009  &
   iyz = -0.2464002123
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.ZAKLAD.Hi2_shell  &
   reference_marker = .table.ZAKLAD.Origin  &
   file_name = "vibration_155_Hi2.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.ZAKLAD.Hi2_shell  &
   color = IDEAS_1
!
!------------------------------------ STOL ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.STOL  &
   adams_id = 3  &
   comments = "Rigid body 3-RB3_table2_3 created for marker 4"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.STOL
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.STOL.MK4  &
   adams_id = 4  &
   location = -19.15716991, -11.15716991, 31.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.STOL.MK4  &
   visibility = off
!
marker create  &
   marker_name = .table.STOL.MK8  &
   adams_id = 8  &
   location = -19.15716991, 11.15716991, 31.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.STOL.MK8  &
   visibility = off
!
marker create  &
   marker_name = .table.STOL.MK12  &
   adams_id = 12  &
   location = 19.15716991, 11.15716991, 31.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.STOL.MK12  &
   visibility = off
!
marker create  &
   marker_name = .table.STOL.MK16  &
   adams_id = 16  &
   location = 19.15716991, -11.15716991, 31.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.STOL.MK16  &
   visibility = off
!
marker create  &
   marker_name = .table.STOL.MK18  &
   adams_id = 18  &
   location = -12.65716991, -8.638968327E-004, 33.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.STOL.MK18  &
   visibility = off
!
marker create  &
   marker_name = .table.STOL.CM  &
   adams_id = 10003  &
   location = 3.832367822E-006, 2.179194003E-006, 32.50302766  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.STOL.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.STOL.Origin  &
   adams_id = 11003  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.STOL.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.STOL  &
   mass = 265.9381707  &
   center_of_mass_marker = .table.STOL.CM  &
   ixx = 1.412637561E+004  &
   iyy = 3.74190189E+004  &
   izz = 5.136810729E+004  &
   ixy = 2.636435888E-004  &
   izx = 2.9497621E-003  &
   iyz = -5.208235094E-004
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.STOL.Hi4_shell  &
   reference_marker = .table.STOL.Origin  &
   file_name = "vibration_155_Hi4.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.STOL.Hi4_shell  &
   color = IDEAS_15
!
part attributes  &
   part_name = .table.STOL  &
   transparency = 50
!
!---------------------------------- VEDENIE -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.VEDENIE  &
   adams_id = 7  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.VEDENIE
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.VEDENIE.MK17  &
   adams_id = 17  &
   location = -12.65716991, -8.638968327E-004, 33.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.VEDENIE.MK17  &
   visibility = off
!
marker create  &
   marker_name = .table.VEDENIE.MK20  &
   adams_id = 20  &
   location = -9.657169914, -8.638968327E-004, 35.5  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = .table.VEDENIE.MK20  &
   visibility = off
!
marker create  &
   marker_name = .table.VEDENIE.CM  &
   adams_id = 10007  &
   location = -12.17334683, -0.2638411544, 34.46018014  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.VEDENIE.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.VEDENIE.Origin  &
   adams_id = 11007  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.VEDENIE.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.VEDENIE  &
   mass = 21.62028686  &
   center_of_mass_marker = .table.VEDENIE.CM  &
   ixx = 1107.098359  &
   iyy = 153.0851932  &
   izz = 1228.958009  &
   ixy = -4.364562843  &
   izx = 17.0460998  &
   iyz = -5.909087403
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.VEDENIE.Hi18_shell  &
   reference_marker = .table.VEDENIE.Origin  &
   file_name = "vibration_155_Hi18.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.VEDENIE.Hi18_shell  &
   color = IDEAS_1
!
geometry create shape shell  &
   shell_name = .table.VEDENIE.Hi17_shell  &
   reference_marker = .table.VEDENIE.Origin  &
   file_name = "vibration_155_Hi17.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.VEDENIE.Hi17_shell  &
   color = IDEAS_17
!
geometry create shape shell  &
   shell_name = .table.VEDENIE.Hi16_shell  &
   reference_marker = .table.VEDENIE.Origin  &
   file_name = "vibration_155_Hi16.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.VEDENIE.Hi16_shell  &
   color = IDEAS_11
!
geometry create shape shell  &
   shell_name = .table.VEDENIE.Hi24_shell  &
   reference_marker = .table.VEDENIE.Origin  &
   file_name = "vibration_155_Hi24.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.VEDENIE.Hi24_shell  &
   color = IDEAS_21
!
geometry create shape shell  &
   shell_name = .table.VEDENIE.Hi25_shell  &
   reference_marker = .table.VEDENIE.Origin  &
   file_name = "vibration_155_Hi25.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.VEDENIE.Hi25_shell  &
   color = IDEAS_22
!
!------------------------------------ KLB -------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.KLB  &
   adams_id = 8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.KLB
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.KLB.MK22  &
   adams_id = 22  &
   location = -10.40716991, -8.638968327E-004, 37.25  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.KLB.MK22  &
   visibility = off
!
marker create  &
   marker_name = .table.KLB.MK23  &
   adams_id = 23  &
   location = -10.40716991, 1.62413603, 39.25  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = .table.KLB.MK23  &
   visibility = off
!
marker create  &
   marker_name = .table.KLB.CM  &
   adams_id = 10008  &
   location = -10.40717134, -0.6970372599, 38.79635879  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.KLB.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.KLB.Origin  &
   adams_id = 11008  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.KLB.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.KLB  &
   mass = 1.834805993  &
   center_of_mass_marker = .table.KLB.CM  &
   ixx = 5.083884916  &
   iyy = 1.597422014  &
   izz = 5.194901746  &
   ixy = -3.819823389E-005  &
   izx = -2.549841525E-007  &
   iyz = -0.579445477
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.KLB.Hi14_shell  &
   reference_marker = .table.KLB.Origin  &
   file_name = "vibration_155_Hi14.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.KLB.Hi14_shell  &
   color = IDEAS_8
!
geometry create shape shell  &
   shell_name = .table.KLB.Hi13_shell  &
   reference_marker = .table.KLB.Origin  &
   file_name = "vibration_155_Hi13.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.KLB.Hi13_shell  &
   color = IDEAS_20
!
!------------------------------------ SANE ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.SANE  &
   adams_id = 9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.SANE
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.SANE.MK19  &
   adams_id = 19  &
   location = -9.657169914, -8.638968327E-004, 35.5  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = .table.SANE.MK19  &
   visibility = off
!
marker create  &
   marker_name = .table.SANE.MK21  &
   adams_id = 21  &
   location = -10.40716991, -8.638968327E-004, 37.25  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.SANE.MK21  &
   visibility = off
!
marker create  &
   marker_name = .table.SANE.CM  &
   adams_id = 10009  &
   location = -10.92169342, -8.638968146E-004, 36.52243042  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.SANE.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.SANE.Origin  &
   adams_id = 11009  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.SANE.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.SANE  &
   mass = 4.148237369  &
   center_of_mass_marker = .table.SANE.CM  &
   ixx = 13.34411407  &
   iyy = 14.02141609  &
   izz = 22.96200281  &
   ixy = 2.174909899E-005  &
   izx = 0.7063551526  &
   iyz = 1.727257859E-005
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.SANE.Hi11_shell  &
   reference_marker = .table.SANE.Origin  &
   file_name = "vibration_155_Hi11.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.SANE.Hi11_shell  &
   color = IDEAS_7
!
geometry create shape shell  &
   shell_name = .table.SANE.Hi10_shell  &
   reference_marker = .table.SANE.Origin  &
   file_name = "vibration_155_Hi10.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.SANE.Hi10_shell  &
   color = IDEAS_3
!
!----------------------------------- RAMENO -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.RAMENO  &
   adams_id = 10  &
   comments = "Rigid body 10-RB10_arm_bicep_1 created for marker 24"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.RAMENO
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.RAMENO.MK24  &
   adams_id = 24  &
   location = -10.40716991, 1.62413603, 39.25  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = .table.RAMENO.MK24  &
   visibility = off
!
marker create  &
   marker_name = .table.RAMENO.MK29  &
   adams_id = 29  &
   location = -5.407169914, 0.9991360298, 47.91025404  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = .table.RAMENO.MK29  &
   visibility = off
!
marker create  &
   marker_name = .table.RAMENO.CM  &
   adams_id = 10010  &
   location = -8.459070665, -0.1361668269, 42.62387266  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.RAMENO.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.RAMENO.Origin  &
   adams_id = 11010  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.RAMENO.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.RAMENO  &
   mass = 3.602716276  &
   center_of_mass_marker = .table.RAMENO.CM  &
   ixx = 20.86041371  &
   iyy = 25.43925041  &
   izz = 8.786583183  &
   ixy = 0.2184520854  &
   izx = 10.46409452  &
   iyz = 0.3781333005
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.RAMENO.Hi23_shell  &
   reference_marker = .table.RAMENO.Origin  &
   file_name = "vibration_155_Hi23.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.RAMENO.Hi23_shell  &
   color = IDEAS_18
!
!----------------------------------- LAKET ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.LAKET  &
   adams_id = 11  &
   comments = "Rigid body 11-RB11_elbow_2 created for marker 25"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.LAKET
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.LAKET.MK25  &
   adams_id = 25  &
   location = -4.637945263, -8.639701652E-004, 47.50381408  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = .table.LAKET.MK25  &
   visibility = off
!
marker create  &
   marker_name = .table.LAKET.MK30  &
   adams_id = 30  &
   location = -5.407169914, 0.9991360298, 47.91025404  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = .table.LAKET.MK30  &
   visibility = off
!
marker create  &
   marker_name = .table.LAKET.CM  &
   adams_id = 10011  &
   location = -5.176886968, -9.0292582E-003, 47.94739475  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.LAKET.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.LAKET.Origin  &
   adams_id = 11011  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.LAKET.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.LAKET  &
   mass = 0.331041744  &
   center_of_mass_marker = .table.LAKET.CM  &
   ixx = 0.1133538247  &
   iyy = 0.1244956809  &
   izz = 0.1095410179  &
   ixy = 6.227288585E-004  &
   izx = 1.83647224E-002  &
   iyz = 9.985512915E-005
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.LAKET.Hi22_shell  &
   reference_marker = .table.LAKET.Origin  &
   file_name = "vibration_155_Hi22.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.LAKET.Hi22_shell  &
   color = IDEAS_6
!
!---------------------------------- ZAPASTIE ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.ZAPASTIE  &
   adams_id = 13  &
   comments = "Rigid body 13-RB13_wrist_4 created for marker 27"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.ZAPASTIE
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.ZAPASTIE.MK27  &
   adams_id = 27  &
   location = 2.4353848604, -8.6397016521E-004, 43.7664351942  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAPASTIE.MK27  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAPASTIE.MK31  &
   adams_id = 31  &
   location = 3.209030343, 0.5241360298, 43.35765938  &
   orientation = 180.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = .table.ZAPASTIE.MK31  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAPASTIE.CM  &
   adams_id = 10013  &
   location = 2.991903217, 0.2478083573, 43.47238493  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAPASTIE.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.ZAPASTIE.Origin  &
   adams_id = 11013  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.ZAPASTIE.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.ZAPASTIE  &
   mass = 0.1896548542  &
   center_of_mass_marker = .table.ZAPASTIE.CM  &
   ixx = 7.99038875E-002  &
   iyy = 4.87703127E-002  &
   izz = 8.59647663E-002  &
   ixy = 1.02406717E-002  &
   izx = -4.4426315E-003  &
   iyz = -5.4109666E-003
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.ZAPASTIE.Hi20_shell  &
   reference_marker = .table.ZAPASTIE.Origin  &
   file_name = "vibration_155_Hi20.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.ZAPASTIE.Hi20_shell  &
   color = IDEAS_2
!
!----------------------------------- LASER ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create rigid_body name_and_position  &
   part_name = .table.LASER  &
   adams_id = 14  &
   comments = "Rigid body 14-RB14_laser_5 created for marker 32"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .table.LASER
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .table.LASER.laser_tip  &
   adams_id = 11026  &
   location = 3.20903, -8.639702E-004, 41.25766  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.LASER.laser_tip  &
   color = BLUE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = .table.LASER.MK32  &
   adams_id = 32  &
   location = 3.209030343, 0.5241360298, 43.35765938  &
   orientation = 180.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = .table.LASER.MK32  &
   visibility = off
!
marker create  &
   marker_name = .table.LASER.CM  &
   adams_id = 10014  &
   location = 3.237880651, -8.631702171E-004, 42.98648622  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.LASER.CM  &
   visibility = off
!
marker create  &
   marker_name = .table.LASER.Origin  &
   adams_id = 11014  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.LASER.Origin  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .table.LASER  &
   mass = 0.1192765681  &
   center_of_mass_marker = .table.LASER.CM  &
   ixx = 3.73347384E-002  &
   iyy = 4.01001176E-002  &
   izz = 1.11881184E-002  &
   ixy = 4.767002402E-009  &
   izx = -1.441172081E-004  &
   iyz = -6.791174364E-008
!
! ****** Graphics for current part ******
!
geometry create shape shell  &
   shell_name = .table.LASER.Hi19_shell  &
   reference_marker = .table.LASER.Origin  &
   file_name = "vibration_155_Hi19.shl"  &
   wireframe_only = no
!
geometry attributes  &
   geometry_name = .table.LASER.Hi19_shell  &
   color = IDEAS_9
!
!------------------------------ Flexible Bodies -------------------------------!
!
! Create flexible bodies and their dependent markers
!
!-------------------------------- FLEX_BODY_1 ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create flexible_body name_and_position  &
   flexible_body_name = .table.FLEX_BODY_1  &
   adams_id = 1  &
   modal_neutral_file_name = "./mnf/leg1.mnf"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create flexible_body modal_ics  &
   flexible_body_name = .table.FLEX_BODY_1  &
   selected_modes = 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21,  &
                    22
!
part modify flexible_body deformed_mode_display  &
   flexible_body_name = .table.FLEX_BODY_1  &
   deformed_mode_number = 0  &
   display_only_deformed = no
!
part modify flexible_body visual_representation  &
   flexible_body_name = .table.FLEX_BODY_1  &
   scale_factor = 1.0  &
   datum_node_for_deformation = 351
!
defaults coordinate_system  &
   default_coordinate_system = .table.FLEX_BODY_1
!
! ****** Markers for current flexible body ******
!
undo begin_block suppress = yes
!
! IMPORTANT: Flexible body marker creation is grouped
! inside the same undo block for greater efficiency
!
marker create  &
   marker_name = .table.FLEX_BODY_1.MK1  &
   adams_id = 1  &
   node_id = 351  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_1.MK1  &
   visibility = off
!
marker create  &
   marker_name = .table.FLEX_BODY_1.MK3  &
   adams_id = 3  &
   node_id = 350  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_1.MK3  &
   visibility = off
!
undo end_block
!
part attributes  &
   flexible_body_name = .table.FLEX_BODY_1  &
   color = MAIZE
!
!-------------------------------- FLEX_BODY_2 ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create flexible_body name_and_position  &
   flexible_body_name = .table.FLEX_BODY_2  &
   adams_id = 2  &
   modal_neutral_file_name = "./mnf/leg2.mnf"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create flexible_body modal_ics  &
   flexible_body_name = .table.FLEX_BODY_2  &
   selected_modes = 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21,  &
                    22
!
part modify flexible_body deformed_mode_display  &
   flexible_body_name = .table.FLEX_BODY_2  &
   deformed_mode_number = 0  &
   display_only_deformed = no
!
part modify flexible_body visual_representation  &
   flexible_body_name = .table.FLEX_BODY_2  &
   scale_factor = 1.0  &
   datum_node_for_deformation = 351
!
defaults coordinate_system  &
   default_coordinate_system = .table.FLEX_BODY_2
!
! ****** Markers for current flexible body ******
!
undo begin_block suppress = yes
!
! IMPORTANT: Flexible body marker creation is grouped
! inside the same undo block for greater efficiency
!
marker create  &
   marker_name = .table.FLEX_BODY_2.MK5  &
   adams_id = 5  &
   node_id = 351  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_2.MK5  &
   visibility = off
!
marker create  &
   marker_name = .table.FLEX_BODY_2.MK7  &
   adams_id = 7  &
   node_id = 350  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_2.MK7  &
   visibility = off
!
undo end_block
!
part attributes  &
   flexible_body_name = .table.FLEX_BODY_2  &
   color = PEACH
!
!-------------------------------- FLEX_BODY_3 ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create flexible_body name_and_position  &
   flexible_body_name = .table.FLEX_BODY_3  &
   adams_id = 3  &
   modal_neutral_file_name = "./mnf/leg3.mnf"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create flexible_body modal_ics  &
   flexible_body_name = .table.FLEX_BODY_3  &
   selected_modes = 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21,  &
                    22
!
part modify flexible_body deformed_mode_display  &
   flexible_body_name = .table.FLEX_BODY_3  &
   deformed_mode_number = 0  &
   display_only_deformed = no
!
part modify flexible_body visual_representation  &
   flexible_body_name = .table.FLEX_BODY_3  &
   scale_factor = 1.0  &
   datum_node_for_deformation = 351
!
defaults coordinate_system  &
   default_coordinate_system = .table.FLEX_BODY_3
!
! ****** Markers for current flexible body ******
!
undo begin_block suppress = yes
!
! IMPORTANT: Flexible body marker creation is grouped
! inside the same undo block for greater efficiency
!
marker create  &
   marker_name = .table.FLEX_BODY_3.MK9  &
   adams_id = 9  &
   node_id = 351  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_3.MK9  &
   visibility = off
!
marker create  &
   marker_name = .table.FLEX_BODY_3.MK11  &
   adams_id = 11  &
   node_id = 350  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_3.MK11  &
   visibility = off
!
undo end_block
!
part attributes  &
   flexible_body_name = .table.FLEX_BODY_3  &
   color = YELLOW
!
!-------------------------------- FLEX_BODY_4 ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create flexible_body name_and_position  &
   flexible_body_name = .table.FLEX_BODY_4  &
   adams_id = 4  &
   modal_neutral_file_name = "./mnf/leg4.mnf"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create flexible_body modal_ics  &
   flexible_body_name = .table.FLEX_BODY_4  &
   selected_modes = 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21,  &
                    22
!
part modify flexible_body deformed_mode_display  &
   flexible_body_name = .table.FLEX_BODY_4  &
   deformed_mode_number = 0  &
   display_only_deformed = no
!
part modify flexible_body visual_representation  &
   flexible_body_name = .table.FLEX_BODY_4  &
   scale_factor = 1.0  &
   datum_node_for_deformation = 351
!
defaults coordinate_system  &
   default_coordinate_system = .table.FLEX_BODY_4
!
! ****** Markers for current flexible body ******
!
undo begin_block suppress = yes
!
! IMPORTANT: Flexible body marker creation is grouped
! inside the same undo block for greater efficiency
!
marker create  &
   marker_name = .table.FLEX_BODY_4.MK13  &
   adams_id = 13  &
   node_id = 351  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_4.MK13  &
   visibility = off
!
marker create  &
   marker_name = .table.FLEX_BODY_4.MK15  &
   adams_id = 15  &
   node_id = 350  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_4.MK15  &
   visibility = off
!
undo end_block
!
part attributes  &
   flexible_body_name = .table.FLEX_BODY_4  &
   color = MAGENTA
!
!-------------------------------- FLEX_BODY_5 ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
part create flexible_body name_and_position  &
   flexible_body_name = .table.FLEX_BODY_5  &
   adams_id = 5  &
   modal_neutral_file_name = "./mnf/forearm_beam.mnf"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
part create flexible_body modal_ics  &
   flexible_body_name = .table.FLEX_BODY_5  &
   selected_modes = 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21,  &
                    22
!
part modify flexible_body deformed_mode_display  &
   flexible_body_name = .table.FLEX_BODY_5  &
   deformed_mode_number = 0  &
   display_only_deformed = no
!
part modify flexible_body visual_representation  &
   flexible_body_name = .table.FLEX_BODY_5  &
   scale_factor = 1.0  &
   datum_node_for_deformation = 301
!
defaults coordinate_system  &
   default_coordinate_system = .table.FLEX_BODY_5
!
! ****** Markers for current flexible body ******
!
undo begin_block suppress = yes
!
! IMPORTANT: Flexible body marker creation is grouped
! inside the same undo block for greater efficiency
!
marker create  &
   marker_name = .table.FLEX_BODY_5.MK26  &
   adams_id = 26  &
   node_id = 301  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_5.MK26  &
   visibility = off
!
marker create  &
   marker_name = .table.FLEX_BODY_5.MK28  &
   adams_id = 28  &
   node_id = 300  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = .table.FLEX_BODY_5.MK28  &
   visibility = off
!
undo end_block
!
part attributes  &
   flexible_body_name = .table.FLEX_BODY_5  &
   color = CYAN
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint fixed  &
   joint_name = .table.FIXED1  &
   adams_id = 1  &
   i_marker_name = .table.ZAKLAD.MK2  &
   j_marker_name = .table.FLEX_BODY_1.MK1
!
constraint attributes  &
   constraint_name = .table.FIXED1  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED2  &
   adams_id = 2  &
   i_marker_name = .table.STOL.MK4  &
   j_marker_name = .table.FLEX_BODY_1.MK3
!
constraint attributes  &
   constraint_name = .table.FIXED2  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED3  &
   adams_id = 3  &
   i_marker_name = .table.ZAKLAD.MK6  &
   j_marker_name = .table.FLEX_BODY_2.MK5
!
constraint attributes  &
   constraint_name = .table.FIXED3  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED4  &
   adams_id = 4  &
   i_marker_name = .table.STOL.MK8  &
   j_marker_name = .table.FLEX_BODY_2.MK7
!
constraint attributes  &
   constraint_name = .table.FIXED4  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED5  &
   adams_id = 5  &
   i_marker_name = .table.ZAKLAD.MK10  &
   j_marker_name = .table.FLEX_BODY_3.MK9
!
constraint attributes  &
   constraint_name = .table.FIXED5  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED6  &
   adams_id = 6  &
   i_marker_name = .table.STOL.MK12  &
   j_marker_name = .table.FLEX_BODY_3.MK11
!
constraint attributes  &
   constraint_name = .table.FIXED6  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED7  &
   adams_id = 7  &
   i_marker_name = .table.ZAKLAD.MK14  &
   j_marker_name = .table.FLEX_BODY_4.MK13
!
constraint attributes  &
   constraint_name = .table.FIXED7  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED8  &
   adams_id = 8  &
   i_marker_name = .table.STOL.MK16  &
   j_marker_name = .table.FLEX_BODY_4.MK15
!
constraint attributes  &
   constraint_name = .table.FIXED8  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED9  &
   adams_id = 9  &
   i_marker_name = .table.STOL.MK18  &
   j_marker_name = .table.VEDENIE.MK17
!
constraint attributes  &
   constraint_name = .table.FIXED9  &
   name_visibility = off
!
constraint create joint translational  &
   joint_name = .table.TRANSLATIONAL10  &
   adams_id = 10  &
   i_marker_name = .table.VEDENIE.MK20  &
   j_marker_name = .table.SANE.MK19
!
constraint attributes  &
   constraint_name = .table.TRANSLATIONAL10  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .table.REVOLUTE11  &
   adams_id = 11  &
   i_marker_name = .table.KLB.MK22  &
   j_marker_name = .table.SANE.MK21
!
constraint attributes  &
   constraint_name = .table.REVOLUTE11  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .table.REVOLUTE12  &
   adams_id = 12  &
   i_marker_name = .table.RAMENO.MK24  &
   j_marker_name = .table.KLB.MK23
!
constraint attributes  &
   constraint_name = .table.REVOLUTE12  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .table.FIXED_1  &
   adams_id = 13  &
   i_marker_name = .table.FLEX_BODY_5.MK26  &
   j_marker_name = .table.LAKET.MK25
!
constraint attributes  &
   constraint_name = .table.FIXED_1  &
   name_visibility = on
!
constraint create joint fixed  &
   joint_name = .table.FIXED_2  &
   adams_id = 14  &
   i_marker_name = .table.FLEX_BODY_5.MK28  &
   j_marker_name = .table.ZAPASTIE.MK27
!
constraint attributes  &
   constraint_name = .table.FIXED_2  &
   name_visibility = on
!
constraint create joint revolute  &
   joint_name = .table.REVOLUTE15  &
   adams_id = 15  &
   i_marker_name = .table.LAKET.MK30  &
   j_marker_name = .table.RAMENO.MK29
!
constraint attributes  &
   constraint_name = .table.REVOLUTE15  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .table.REVOLUTE16  &
   adams_id = 16  &
   i_marker_name = .table.LASER.MK32  &
   j_marker_name = .table.ZAPASTIE.MK31
!
constraint attributes  &
   constraint_name = .table.REVOLUTE16  &
   name_visibility = off
!
constraint create joint translational  &
   joint_name = .table.TRANSLATIONAL17  &
   adams_id = 17  &
   i_marker_name = .table.ZAKLAD.MK34  &
   j_marker_name = .table.grnd.MK33
!
constraint attributes  &
   constraint_name = .table.TRANSLATIONAL17  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .table.Last_Sim  &
   commands =   &
              "simulation single_run scripted sim_script_name=.table.TIME_DOMAIN_SCRIPT_3 reset_before_and_after=yes model_name=.table"
!
simulation script create  &
   sim_script_name = .table.TIME_DOMAIN_SCRIPT_1  &
   type = auto_select  &
   initial_static = yes  &
   number_of_steps = 100  &
   end_time = 0.5
!
simulation script create  &
   sim_script_name = .table.TIME_DOMAIN_SCRIPT_2  &
   type = auto_select  &
   initial_static = yes  &
   number_of_steps = 100  &
   end_time = 1.0
!
simulation script create  &
   sim_script_name = .table.TIME_DOMAIN_SCRIPT_3  &
   type = auto_select  &
   initial_static = yes  &
   number_of_steps = 100  &
   end_time = 3.0
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = .table.SPRING_1  &
   definition_name = .MDI.Forces.spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = .table.SPRING_1  &
   color = RED
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .table.SPRING_1.i_marker  &
   object_value = (.table.grnd.MARKER_11027)
!
variable modify  &
   variable_name = .table.SPRING_1.j_marker  &
   object_value = (.table.ZAKLAD.MARKER_11028)
!
variable modify  &
   variable_name = .table.SPRING_1.stiffness_mode  &
   string_value = "linear"
!
variable modify  &
   variable_name = .table.SPRING_1.stiffness_coefficient  &
   real_value = 1.0E+009
!
variable modify  &
   variable_name = .table.SPRING_1.stiffness_spline  &
   object_value = (NONE)
!
variable modify  &
   variable_name = .table.SPRING_1.damping_mode  &
   string_value = "linear"
!
variable modify  &
   variable_name = .table.SPRING_1.damping_coefficient  &
   real_value = 100.0
!
variable modify  &
   variable_name = .table.SPRING_1.damping_spline  &
   object_value = (NONE)
!
variable modify  &
   variable_name = .table.SPRING_1.free_length_mode  &
   string_value = "design_length"
!
variable modify  &
   variable_name = .table.SPRING_1.free_length  &
   real_value = 1.0
!
variable modify  &
   variable_name = .table.SPRING_1.preload  &
   real_value = 0.0
!
variable modify  &
   variable_name = .table.SPRING_1.i_dynamic_visibility  &
   string_value = "on"
!
variable modify  &
   variable_name = .table.SPRING_1.j_dynamic_visibility  &
   string_value = "off"
!
variable modify  &
   variable_name = .table.SPRING_1.spring_visibility  &
   string_value = "Depends"
!
variable modify  &
   variable_name = .table.SPRING_1.damper_visibility  &
   string_value = "Depends"
!
ude modify instance  &
   instance_name = .table.SPRING_1
!
undo end_block
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = .table.SLIDE  &
   adams_id = 1  &
   type_of_freedom = translational  &
   joint_name = .table.TRANSLATIONAL10  &
   function = ""
!
constraint attributes  &
   constraint_name = .table.SLIDE  &
   name_visibility = off
!
constraint create motion_generator  &
   motion_name = .table.SHOULDER  &
   adams_id = 2  &
   type_of_freedom = rotational  &
   joint_name = .table.REVOLUTE11  &
   function = ""
!
constraint attributes  &
   constraint_name = .table.SHOULDER  &
   name_visibility = off
!
constraint create motion_generator  &
   motion_name = .table.SHOULDER_SWING  &
   adams_id = 3  &
   type_of_freedom = rotational  &
   joint_name = .table.REVOLUTE12  &
   function = ""
!
constraint attributes  &
   constraint_name = .table.SHOULDER_SWING  &
   name_visibility = off
!
constraint create motion_generator  &
   motion_name = .table.FOREARM  &
   adams_id = 4  &
   type_of_freedom = rotational  &
   joint_name = .table.REVOLUTE15  &
   function = ""
!
constraint attributes  &
   constraint_name = .table.FOREARM  &
   name_visibility = off
!
constraint create motion_generator  &
   motion_name = .table.WRIST  &
   adams_id = 5  &
   type_of_freedom = rotational  &
   joint_name = .table.REVOLUTE16  &
   function = ""
!
constraint attributes  &
   constraint_name = .table.WRIST  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = ACC  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -386.088589
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = .table.SLIDE  &
   function = "-6*STEP(TIME,0,0,1,1)"
!
constraint modify motion_generator  &
   motion_name = .table.SHOULDER  &
   function = "-40D*STEP(TIME,0.5,0,2.0,1)"
!
constraint modify motion_generator  &
   motion_name = .table.SHOULDER_SWING  &
   function = "-15D*STEP(TIME,1.0,0,3.0,1)"
!
constraint modify motion_generator  &
   motion_name = .table.FOREARM  &
   function = "-50D*STEP(TIME,1.0,0,2.0,1)"
!
constraint modify motion_generator  &
   motion_name = .table.WRIST  &
   function = "-55D*STEP(TIME,1.0,0,3.5,1)"
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .table.SPRING_1
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = grnd
!
marker modify  &
   marker_name = .table.FLEX_BODY_5.MK28  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}, .table.ZAPASTIE.MK27))  &
   relative_to = .table.FLEX_BODY_5
!
defaults coordinate_system  &
   default_coordinate_system = .table.grnd
!
model display  &
   model_name = table
